dpkg-divert(8)

NAMN
dpkg-divert - överstyr ett pakets version av en fil

SYNOPS
dpkg-divert [flagga...] åtgärd

BESKRIVNING
dpkg-divert är verktyget som används för att ställa in och uppdatera listan över omdirigeringar.

File diversions are a way of forcing dpkg(1) not to install a file into its location, but to a diverted location. Diversions can be used through the Debian package scripts to move a file away when it causes a conflict. System administrators can also use it to override some package's configuration file, or whenever some files (which aren't marked as 'conffiles') need to be preserved by dpkg, when installing a newer version of a package which contains those files.

KOMMANDON

[--add] fil
    Lägg till en omdirigering för fil.

--remove fil
    Ta bort en omdirigering för fil.

--list filnamnsmönster
    Visa omdirigeringar som matchar sökmönster.

--listpackage fil
    Visa namnet på paketet som omdirigerar fil. Svarar LOCAL om fil har omdirigerats lokalt och ingenting om fil inte är omdirigerad.

--truename fil
    Visa det riktiga namnet på en omdirigerad fil.

FLAGGOR

--admindir katalog
    Set the dpkg data directory to directory (default: /var/lib/dpkg).

--divert omdirigera-till
    omdirigera-till är platsen där de versioner av fil som tillhandahålls av andra paket kommer omdirigeras till.

--local
    Anger att alla pakets versioner av denna fil skall omdirigeras. Det innebär att det inte finns några undantag, och att oavsett vilket paket som installeras så omdirigeras filen. Detta kan användas av en administratör för att installera en lokalt modifierad version.

--package paket
    paket är namnet på ett paket vars kopia av fil inte kommer att omdirigeras, dvs. fil kommer omdirigeras för alla paket förutom paket.

--quiet
    Tyst läge, dvs. ingen pratsam utdata.

--rename
    Flytta faktiskt filen åt sidan (eller tillbaka). dpkg-divert kommer att avbryta körningen om destinationsfilen redan existerar.

--test
    Testläge, dvs. utför inga faktiska ändringar, bara visa vad som skulle hända.

-?, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

MILJÖVARIABLER

DPKG_ADMINDIR
    If set and the --admindir option has not been specified, it will be used as the dpkg data directory.

DPKG_MAINTSCRIPT_PACKAGE
    Om satt, och flaggorna --local och --package inte har angivits, kommer dpkg-divert använda det som paketnamn.

FILER

/var/lib/dpkg/diversions
    File which contains the current list of diversions of the system. It is located in the dpkg administration directory, along with other files important to dpkg, such as status or available.
    Observera: dpkg-divert behåller den gamla versionen av filen, med filtillägget old, innan den ersätter den med den nya.

ANTECKNINGAR
Vid tillägg är standard --local och --divert original.distrib. Vid borttagning måste --package eller --local och --divert matcha om de anges. Kataloger kan inte omdirigeras med dpkg-divert. Care should be taken when diverting shared libraries, ldconfig(8) creates a symbolic link based on the DT_SONAME field embedded in the library. Because ldconfig doesn't honour diverts (only dpkg does), the symlink may end up pointing at the diverted library, if a diverted library has the same SONAME as the undiverted one.

EXEMPEL
För att omdirigera alla exemplar av en /usr/bin/exempel till /usr/bin/exempel.foo, dvs. omdirigera samtliga paket som tillhandahåller /usr/bin/exempel så att de installerar den som /usr/bin/exempel.foo, och utför namnbytet om det behövs:

dpkg-divert --divert /usr/bin/exempel.foo --rename /usr/bin/exempel

För att ta bort omdirigeringen:

dpkg-divert --rename --remove /usr/bin/exempel

För att omdirigera samtliga paket som försöker installera /usr/bin/exempel till /usr/bin/exempel.foo, förutom i det egna paketet wibble:

dpkg-divert --package wibble --divert /usr/bin/exempel.foo --rename /usr/bin/exempel

För att ta bort omdirigeringen:

dpkg-divert --package wibble --rename --remove /usr/bin/exempel

SE ÄVEN
dpkg(1).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.